Skip to content
Snippets Groups Projects
Commit d8612e57 authored by Sergey Kosukhin's avatar Sergey Kosukhin
Browse files

Add script for release branch preparation.

parent 7aa6b506
No related branches found
No related tags found
2 merge requests!34Version 2.2.0,!13Consolidation with CDI-PIO (develop)
Pipeline #25478 passed
#!/bin/bash
set -eu
set -o pipefail
script_dir=$(cd "$(dirname "$0")"; pwd)
top_srcdir=$(cd "${script_dir}/.."; pwd)
cd "${top_srcdir}"
git update-index -q --refresh || {
echo "ERROR: failed to update git index in '${top_srcdir}'" >&2
exit 1
}
git diff-files --quiet || {
echo "ERROR: '${top_srcdir}' has unstaged changes" >&2
exit 1
}
git diff-index --cached --quiet HEAD -- || {
echo "ERROR: '${top_srcdir}' has uncommited changes" >&2
exit 1
}
./autogen.sh
./configure --enable-maintainer-mode
distdir='cdi-dist'
make distdir distdir="${distdir}"
for f in $(find "${distdir}" -type f -o -type l); do
git add -f "${f#"${distdir}/"}";
done
rm -rf "${distdir}"
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment